package ca.carleton.gcrc.couch.client;

import java.net.URL;
import java.util.List;

public interface CouchClient {

	CouchContext getContext();
	
	URL getUrl();
	
	CouchServerVersion getVersion() throws Exception;

	String getUuid() throws Exception;
	
	List<String> listDatabases() throws Exception;
	
	CouchDb createDatabase(String dbName) throws Exception;

	boolean databaseExists(String dbName) throws Exception;

	CouchDb getDatabase(String dbName) throws Exception;

	void deleteDatabase(CouchDb couchDb) throws Exception;
}
